wxRuby Documentation Home

# Wx::DialUpEvent

This is the event class for the dialup events sent by
DialUpManager.

## Derived from

Event

Object

## Methods

- DialUpEvent.new
- DialUpEvent#is_connected_event
- DialUpEvent#is_own_event

### DialUpEvent.new

DialUpEvent.new(%(arg-type)Boolean% isConnected, Boolean isOwnEvent)

Constructor is only used by DialUpManager.

### DialUpEvent#is_connected_event

Boolean is_connected_event()

Is this a `CONNECTED` or `DISCONNECTED` event? In other words, does it
notify about transition from offline to online state or vice versa?

### DialUpEvent#is_own_event

Boolean is_own_event()

Does this event come from DialUpManager::Dial() or from some extrenal
process (i.e. does it result from our own attempt to establish the
connection)?

[This page automatically generated from the Textile source at 2023-06-09 00:45:36 +0000]